Debian Bug report logs - #662937
sdlbasic: FTBFS: /usr/bin/ld.bfd.real: cannot find -ltiff

version graph

Package: sdlbasic; Maintainer for sdlbasic is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for sdlbasic is src:sdlbasic.

Reported by: Moritz Muehlenhoff <muehlenhoff@univention.de>

Date: Wed, 7 Mar 2012 12:03:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version sdlbasic/0.0.20070714-3

Fixed in version sdlbasic/0.0.20070714-4

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#662937; Package sdlbasic. (Wed, 07 Mar 2012 12:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

sdlbasic: FTBFS: /usr/bin/ld.bfd.real: cannot find -ltiff

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 07 Mar 2012 12:04:07 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <muehlenhoff@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 0.0.20070714-3
Date: Wed, 07 Mar 2012 12:57:58 +0100
Package: sdlbasic
Version: sdlbasic: FTBFS: /usr/bin/ld.bfd.real: cannot find -ltiff
Severity: serious

Your package fails to build from source:

ranlib BASengine.a
make[1]: Leaving directory `/home/jmm/sdlbasic-0.0.20070714/src/sdlBasic/src/sdlBrt/BASengine'
/usr/bin/make -C "/home/jmm/sdlbasic-0.0.20070714/src/sdlBasic/src/sdlBrt" os=linux prefix="/usr" bindir="/usr/bin" exec_prefix="/usr/bin" datadir="/usr/share/sdlbasic" font_prefix="/usr/share/fonts/truetype" SYSCONF_PATH="/etc/sdlbasic" DOC_PATH="/usr/share/doc/sdlbasic" PLUGINS_PATH="/usr/share/sdlbasic/plugins" stripped=no CFLAGS="-Wall -g -O2" LDFLAGS="-Wl,--as-needed -Wl,-z,defs -Wl,--no-undefined"
make[1]: Entering directory `/home/jmm/sdlbasic-0.0.20070714/src/sdlBasic/src/sdlBrt'
gcc -Wall -g -O2 -I/usr/include/SDL -D_REENTRAT -DPLAY_MOD -DUNIX -DLINUX -DDEJAVUSANS_TTF=\"/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf\" -Dfont_prefix=\"/usr/share/fonts/truetype\" -c sdlBrt.c -o sdlBrt.o
In file included from sdlBrt.c:35:0:
class.c: In function 'findClass':
class.c:27:19: warning: variable 'nameHash' set but not used [-Wunused-but-set-variable]
sdlBrt.c: In function 'main':
sdlBrt.c:167:22: warning: variable 'debug' set but not used [-Wunused-but-set-variable]
g++ -Wall -g -O2 -I/usr/include/SDL -D_REENTRAT -DPLAY_MOD -DUNIX -DLINUX -DDEJAVUSANS_TTF=\"/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf\" -o ../../bin/sdlBrt sdlBrt.o unzip/unzip.a BASengine/BASengine.a SDLengine/SDLengine.a -Wl,-rpath, -lSDL_mixer -lSDL_image -lSDL_ttf -lSDL_net -lvorbisfile -lvorbis -logg -lsmpeg -lasound -lSDL -lpng -ltiff -lz -ljpeg -lpthread -lm -lfreetype -ldl -Wl,--as-needed -Wl,-z,defs -Wl,--no-undefined
/usr/bin/ld.bfd.real: cannot find -ltiff
collect2: ld returned 1 exit status
make[1]: *** [../../bin/sdlBrt] Error 1
make[1]: Leaving directory `/home/jmm/sdlbasic-0.0.20070714/src/sdlBasic/src/sdlBrt'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Changed Bug title to 'sdlbasic: FTBFS: /usr/bin/ld.bfd.real: cannot find -ltiff' from '0.0.20070714-3' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 07 Mar 2012 12:36:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions sdlbasic/0.0.20070714-3. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 07 Mar 2012 12:36:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 11 Mar 2012 05:27:12 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 11 Mar 2012 09:00:13 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Sun, 11 Mar 2012 09:19:23 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Sun, 11 Mar 2012 09:19:27 GMT) Full text and rfc822 format available.

Message #18 received at 662937-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 662937-close@bugs.debian.org
Subject: Bug#662937: fixed in sdlbasic 0.0.20070714-4
Date: Sun, 11 Mar 2012 09:17:30 +0000
Source: sdlbasic
Source-Version: 0.0.20070714-4

We believe that the bug you reported is fixed in the latest version of
sdlbasic, which is due to be installed in the Debian FTP archive:

sdlbasic-dbg_0.0.20070714-4_amd64.deb
  to main/s/sdlbasic/sdlbasic-dbg_0.0.20070714-4_amd64.deb
sdlbasic_0.0.20070714-4.debian.tar.gz
  to main/s/sdlbasic/sdlbasic_0.0.20070714-4.debian.tar.gz
sdlbasic_0.0.20070714-4.dsc
  to main/s/sdlbasic/sdlbasic_0.0.20070714-4.dsc
sdlbasic_0.0.20070714-4_amd64.deb
  to main/s/sdlbasic/sdlbasic_0.0.20070714-4_amd64.deb
sdlbrt_0.0.20070714-4_amd64.deb
  to main/s/sdlbasic/sdlbrt_0.0.20070714-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662937@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated sdlbasic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 11 Mar 2012 17:05:15 +0800
Source: sdlbasic
Binary: sdlbrt sdlbasic sdlbasic-dbg
Architecture: source amd64
Version: 0.0.20070714-4
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 sdlbasic   - BASIC interpreter for game development
 sdlbasic-dbg - BASIC interpreter for game development - debug symbols
 sdlbrt     - BASIC interpreter for game development - runtime interpreter
Closes: 662937
Changes: 
 sdlbasic (0.0.20070714-4) unstable; urgency=low
 .
   * Team upload.
   * Run wrap-and-sort -sa
   * Add missing build-dep on libtiff-dev (Closes: #662937)
   * Switch from plain quilt to dpkg-source v3
   * Clean up the patches and add DEP-3 headers
   * Point copyright file at the right GPL version
   * Drop shlibs dep on -dbg package, not needed
   * Drop buildinfo, not useful these days
   * Switch to debhelper compat 9 and dh
   * Depend only on the ttf-dejavu-core package
   * Bump Standards-Version
Checksums-Sha1: 
 3b9cb79529a003238bf59029217cc24da6157f21 2256 sdlbasic_0.0.20070714-4.dsc
 d9a1135d8f87fe5e1d98478dbe9c844592576bc6 13321 sdlbasic_0.0.20070714-4.debian.tar.gz
 360f194958b2dc80d91f610647df13f341ec5d6d 129496 sdlbrt_0.0.20070714-4_amd64.deb
 e1b813ffa4c09547c8b77a3688082f43bba975c3 863938 sdlbasic_0.0.20070714-4_amd64.deb
 c754f6b6607e9dbc615d9804bfad317b903e36c6 170492 sdlbasic-dbg_0.0.20070714-4_amd64.deb
Checksums-Sha256: 
 188b6a2c0abb4940be604b9c1d5bdd6b6e731d498abe907243ee71f58d496dfd 2256 sdlbasic_0.0.20070714-4.dsc
 cc41f130936e2a7a8cc393e50aa25623227a54a896191a800db981892a7a855d 13321 sdlbasic_0.0.20070714-4.debian.tar.gz
 c35d6c51c6f878850215f681e187d2de3b94bcdcb9e7d3fdca031c4b5f15c923 129496 sdlbrt_0.0.20070714-4_amd64.deb
 4ab66200854596085901d24d4da7ecaf32a6e054a07ea3e8d2ed65c3d6ac5a15 863938 sdlbasic_0.0.20070714-4_amd64.deb
 57a6a9d00caf4030984c5f3241382f4e4e09ee6500c41c22476bffa3b3ae45fd 170492 sdlbasic-dbg_0.0.20070714-4_amd64.deb
Files: 
 3e860edab753478520314b681000b73f 2256 devel extra sdlbasic_0.0.20070714-4.dsc
 b353ca82c83e18a5367fe0401daba734 13321 devel extra sdlbasic_0.0.20070714-4.debian.tar.gz
 d0af62da4253a9529072361800c58625 129496 interpreters extra sdlbrt_0.0.20070714-4_amd64.deb
 42062287500d450780e70885e9981e1b 863938 devel extra sdlbasic_0.0.20070714-4_amd64.deb
 0ba3def8930d56b469124d833fb4b9c3 170492 debug extra sdlbasic-dbg_0.0.20070714-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPXGyAAAoJEDEWul6f+mmjFRQP/0ZCf/vwZK/xc/H3hMRvJRNy
mIEvsG3lulYfBATUXE7syBIUmgATobnRQzR01peObI4o40FxUp/D2obohYCrrz5r
QYeOSRPpCwaVGVoQmY6Txuof3GI/a51fZksPLWladeu7ywlDibThLUx0TkiyeLQy
PiwY8gakVRGqXMoLzCV4AmAlCRMWfv6DsPRbfHRHBqcRGm51PGlml0WT2bK0luoV
doMX44kKPCZOp9xn2OksWnV8OT+p642WXJ1m6xn9y31dJnZAJfxSOZUIiXrvhNwd
cHSfvMfJJmACyejfYsvH4tuunib2NVR32SpXFAguv2xXbNXVC7pL+1Bqn9kpKaGT
6jKWdjACzv/LnP4HFTt+NNP/B41FZJnbk3AEF7Nrk2frdDDgskwVLykQ9n1LGMPU
vJ+L/owN5Ukk93xur3Bkq/Zv9koywzp9a4gRqUG4owAba0V08YeuA2wdvLDLBqUc
yaOz8KbxT+4PHaKGblT6VemAwhEbAuY70bpbJOfKZDPqjGzP6/cuAavf9duZh46B
Q+P3u/H4u+3RhR2+6rzrlEhuqJVa9tXnkI0XXGVs8stoL/nzFmk9FMwqxYbLi6iV
OuCZhWtsPGMv6w1QAkGMau3RJnLE4A1GyZZmu6rLKazRbXTu41fy7j/T5OTETJl6
7eeAjgiPg20Vdfcc2fJA
=EYLA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Apr 2012 07:36:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:28:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.